Subject: Re: "duplicate"?

From: Rory Murtagh <[email-masked]>
Date: Tue, 21 Feb 1995 13:34:20 -0600

> I was using following recipe to filter out duplicated mails into a
 > seperate file, "duplicate".  It worked fine for quite some time.  However
 > since yesterday lots of "first come" mails were indiscriminately treated
 > as "duplicates", finding their way to "deuplicate" file.   I removed the
 > .msgid.cache file this morning but mails still go that way.
 > 
 > Can anyone help to identify the problem?  Since I did not change anything
 > in my .procmailrc, I wonder if there is anything like system procmailrc
 > could affect the behaviour of my recipe?
 > 
 > Thanks!     ___Zhiliang
 > 
 > #################
 > # This recipe is to eliminate duplicate mails.
 > #
 > :0
 > {
 >  :0 Whc: .msgid.lock     # w produces (non-fatal) error msg
 >  | formail -D 8192 .msgid.cache
 > 
 >  :0 A:
 >  duplicate               # To save the duplicate into this file.
 > }
 > #################

To deal with a Majordomo resend and CC -- our /etc/procmailrc does this:

  PATH=$HOME/bin:/usr/bin:/usr/ucb:/bin:/usr/local/bin:
  MAILDIR=$HOME
  LOGFILE=/tmp/logfile
  COMSAT=off
  VERBOSE=off
  DROPPRIVS=on

  :0 Wh: $MAILDIR/.msgid.lock
  | formail -b -D 1024 $MAILDIR/.msgid.cache

I believe if any of our users uses your procmail rule they would think
all email is a duplicate.  Could that be what has happened at your site?

When you removed .msgid.cache was it recreated for you if your rule was
not there?